View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000367aMuleServerspublic2005-04-07 23:302008-07-14 15:17
Reporterm2kio 
Assigned ToWuischke 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0000367: changing port numbers does not take effect until restart
Descriptionin: Preferences>Connection:
after changing the client ports changes are delayed until next restart of amule. this is to preserve open communication targeted to the old port.

drawback: now the user has great trouble to change his network settings: he changes ports and sets his router to forward ports appropriately and ... nothing works.

there should at least be a note in the preferences panel which warns the user that these changes do not take effect until he stops/restarts amule.

immediately using the new ports would still be a better solution imho, even if i lose some chunks. but when changing ports i expect traffic disruption anyway. thou a warning note that current connections may close added to the dialog won't harm.

or change to new port but leave old ports open for a while (e.g. 1 hour) though even this might come unexpected to the user.

Additional Informationrelated to 00235
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000833)
Xaignar (manager)
2005-04-08 01:03

I'm not sure that this is feasible. The main issue is that all clients that have previously connected to us will still be using the old ports.
(0000856)
Kry (manager)
2005-04-11 22:46

I would say drop all sockets, but then again that would be exactly like restarting.
(0001425)
Xaignar (manager)
2005-11-08 01:32

UDP-sockets can now (thanks to the CMuleUDPSocket class) be easily enhanced to support rebinding.

- Issue History
Date Modified Username Field Change
2005-04-07 23:30 m2kio New Issue
2005-04-08 01:03 Xaignar Note Added: 0000833
2005-04-11 15:42 Xaignar Status new => acknowledged
2005-04-11 22:46 Kry Note Added: 0000856
2005-11-08 01:32 Xaignar Note Added: 0001425
2008-07-14 15:17 Wuischke Status acknowledged => resolved
2008-07-14 15:17 Wuischke Resolution open => fixed
2008-07-14 15:17 Wuischke Assigned To => Wuischke


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker